.hidden {
  display: none;
}

.location_infos {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 1.5rem 2rem;
  margin-top: 1.5rem;
  position: absolute;
  z-index: 9999;
  width: calc(100% - 4rem);
  border-radius: 20px;
  background-color: white;
  border: 1px solid white;
}

.ip_address, .location, .timezone {
  margin-bottom: 1.5rem;
}

.isp {
  margin-bottom: 0.5rem;
}

.modal_title {
  font-size: 11px;
  font-weight: bold;
  text-align: center;
  color: hsl(0, 0%, 59%);
  letter-spacing: 2px;
}

.ip_address__number, .location__name, .timezone__time, .isp__name {
  font-size: 20px;
  font-weight: bold;
  text-align: center;
}


@media screen and (min-width: 1440px) {
  .location_infos {
    flex-direction: row;
    width: calc(100% - 24rem);
    justify-content: flex-start;
    padding: 4rem 0;
    align-items: normal;
  }

  .ip_address, .location, .timezone, .isp {
    margin-bottom: 0;
    padding: 1rem 2rem 1rem 2rem;
  }

  .ip_address, .location, .timezone {
    border-right: 1px solid hsl(0, 0%, 59%);
    padding-right: 5rem;
  }

  .modal_title {
    font-size: 16px;
    text-align: start;
  }

  .ip_address__number, .location__name, .timezone__time, .isp__name {
    font-size: 25px;
    text-align: start;
    margin-top: 1rem;
  }

  .timezone {
    text-wrap: nowrap;
  }
}
